# core/plugs/cfg.py
#
#

""" edit. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import txt_parse
from core import kernel

import core.defaults

# CMNDS

def cfg(event):
    rest = event.get_rest()
    parsed = event.get_parsed()
    obj = kernel.cfg
    if parsed.args:
        ctype = parsed.args[0]
        obj = kernel.last("ctype", ctype)
        if not obj:
            try: obj = getattr(core.defaults, ctype)
            except AttributeError: pass
    try: 
        key = parsed.args[1]
        value = parsed.args[2]
        if key in obj: obj[key] = value ; obj.sync()
    except IndexError: pass
    if obj: event.reply("\n".join(obj.show()))

kernel.cmnds.register("cfg", cfg)
