# core/plugs/keys.py
#
#

""" show all attributes available. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.object import Object
from core import kernel

import os
import time

## CMNDS

def keys(event):
    rest = event.get_rest()
    result = []
    for obj in event.objects():
        for key in obj.get_obj():
            if key not in result: result.append(key)
    args = rest.split()
    for arg in args:
        result = filter(lambda x: arg not in x, result)
    event.reply(" ".join(result))
    event.ok()

kernel.cmnds.register("keys", keys)
