# core/plugs/search.py
#
#

""" search all values present. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.object import Object

from core import kernel

import threading
import logging
import time
import re

## CMNDS

def search(event):
    nr = 1
    value = event.get_rest()
    parsed = event.get_parsed()
    objs = kernel.objects()
    for obj in sorted(objs, key=lambda x: x.get_timed()):
       o = obj.search(value)
       if not o: continue
       event.reply("%s %s %s" % (nr, o.represent(), o.get_days()))
       nr += 1
    if nr == 1: event.reply("no object found")

kernel.cmnds.register("search", search)
