# core/plugs/show.py
#
#

""" show JSON dump of objects. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

import threading
import logging
import time
import re

## CMNDS

def show(event):
    rest = event.get_rest()
    if not rest: return
    parsed = event.get_parsed()
    objs = event.selected(parsed)
    nr = 1
    for obj in sorted(objs, key=lambda x: x.get_timed()):
        event.reply("%s %s" % (obj.represent(), obj.get_days()))
        nr += 1 

kernel.cmnds.register("show", show)
