# core/plugs/completer.py
#
#

""" completer stuff. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

import rlcompleter
import logging

## SimpleCompleter class

class TheCompleter(rlcompleter.Completer):

    def __init__(self, options):
        self.options = sorted(options)
        return

    def complete(self, text, state):
        response = None
        if state == 0:
            if text: self.matches = [s for s in self.options if s and s.startswith(text)]
            else: self.matches = self.options[:]
        time.sleep(0.01)
        try: response = self.matches[state]
        except IndexError: response = None
        return response
