# core/defaults.py
#
#

""" default configurations. """

__copyright__ = "Copyright 2014 B.H.J Thate"

from core.defines import homedir
from core.object import Object
from core.utils import j

import os
import os.path
import socket

## XMPP

cfg_xmpp = Object()
cfg_xmpp.server = "localhost"
cfg_xmpp.username = "core"
cfg_xmpp.channel = "#core"
cfg_xmpp.nick = "core"
cfg_xmpp.ctype = "xmpp"
cfg_xmpp.user = "core@localhost"

## IRC

cfg_irc = Object()
cfg_irc.server = "localhost"
cfg_irc.username = "core"
cfg_irc.channel = "#core"
cfg_irc.nick = "core"
cfg_irc.ctype = "irc"

## KERNEL

cfg_kernel = Object()
cfg_kernel.debug = False
cfg_kernel.background = False
cfg_kernel.openfire = False
cfg_kernel.shell = False
cfg_kernel.init = ""
cfg_kernel.workdir = ""
cfg_kernel.loglevel = "error"
cfg_kernel.bots = ["core.bots"]
cfg_kernel.plugs = ["core.plugs"]
cfg_kernel.services = ["core.service", ]

# UDP

cfg_udp = Object()
cfg_udp.define('host', "localhost")
cfg_udp.define('port', 5500)
cfg_udp.define('password', "boh")
cfg_udp.define('seed', "blablablablablaz") # needs to be 16 chars wide

## API

cfg_api = Object()
cfg_api.hostname = socket.getfqdn()
cfg_api.port = 10102
