# core/plugs/find.py
#
#

""" show all attributes with a value present. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

## CMNDS

def find(event):
    nr = 1
    parsed = event.get_parsed()
    objs = event.selected(parsed)
    for obj in sorted(objs, key=lambda x: x.get_timed()):
       event.reply("%s %s (%s)" % (nr, ", ".join([str(getattr(obj, x, None)) for x in parsed.args]), obj.get_days()))
       nr += 1

kernel.cmnds.register("find", find)
